Page 1 of 1

[INFO] How to check vulnerability for Meltdown/Spectre - kernel > 4.14.14

Posted: Mon Jan 22, 2018 5:18 am
by nickpetrov
As of kernel 4.14.14, you can now check if you are vulnerable to meltdown & spectre, by issuing the following command:

Code: Select all

grep . /sys/devices/system/cpu/vulnerabilities/*
my output shows:

/sys/devices/system/cpu/vulnerabilities/meltdown:Mitigation: PTI
/sys/devices/system/cpu/vulnerabilities/spectre_v1:Vulnerable
/sys/devices/system/cpu/vulnerabilities/spectre_v2:Mitigation: Full generic retpoline

The output shows Meltdown has been patched by PTI (Page Table Isolation), and that my system is still vulnerable to the Spectre variant 1

Spectre variant 2 has been patched with retpoline

Re: [INFO] How to check vulnerability for Meltdown/Spectre - kernel > 4.14.14

Posted: Mon Jan 29, 2018 10:29 am
by Zver43
Same here 8-) even with latest kernel and all updates installed (@ 29-01-2018)
so i am probably on ver 6.4.1 ( yet haven't manually changed this number thing in lsb-release file)
OS: ArchMerge v6.3.1 / Kernel: 4.14.15-1-ARCH
----
/sys/devices/system/cpu/vulnerabilities/meltdown:Mitigation: PTI
/sys/devices/system/cpu/vulnerabilities/spectre_v1:Vulnerable
/sys/devices/system/cpu/vulnerabilities/spectre_v2:Mitigation: Full generic retpoline
-------
Seems like i have to live with it :roll: i don't have any hope for any fixes to this ''old metal'' anyway :lol:

Machine: Device: desktop Mobo: ASUSTeK model: Maximus Extreme v: Rev 1.xx serial: N/A
BIOS: American Megatrends v: 1104 date: 07/23/2008
CPU: Dual core Intel Core2 Duo E8400 (-MCP-) speed: 3600 MHz (max)